couchdb-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Steve Kalkwarf <st...@kalkwarf.com>
Subject libtool mismatch error while building from source
Date Fri, 18 Sep 2009 14:37:47 GMT
Hi,

I'm attempting to build couchdb from source on my Mac OS X 10.6 machine.

Using the build commands I found in the wiki: <http://wiki.apache.org/couchdb/Installing_on_OSX

 > I end up with the following error when performing 'make' in the  
couchdb directory:

libtool: Version mismatch error.  This is libtool 2.2.4, but the
libtool: definition of this LT_INIT comes from libtool 2.2.6.
libtool: You should recreate aclocal.m4 with macros from libtool 2.2.4
libtool: and run autoconf again.

I think this is because I have libtool on my $PATH:

Zot:couchdb kalkwarf$ which libtool
/usr/local/bin/libtool
Zot:couchdb kalkwarf$ /usr/local/bin/libtool --version
ltmain.sh (GNU libtool) 2.2.6

but somehow another version got copied to the couchdb folder during ./ 
configure:

Zot:couchdb kalkwarf$ ./libtool --version
ltmain.sh (GNU libtool) 2.2.4

I can downgrade my libtool without much grief, but I'm curious where  
the couchdb/libtool binary came from, and why it's a different version  
than the one on my $PATH.

Feel free to point me at a __FILE__:__LINE__ reference if it's in a  
makefile somewhere. I took a superficial look, but didn't see it  
anywhere obvious.

Thanks,
Steve

Mime
View raw message